跳转到正文
皓量云擎文档
接口参考裸金属

创建 IPMI SOL 串口控制台会话

POST /api/v1/baremetal/allocations/{allocation_id}/console-sessions,createBaremetalConsole 的请求参数和响应结构。

POST /api/v1/baremetal/allocations/{allocation_id}/console-sessions

项目内容
操作标识createBaremetalConsole
认证登录会话 Cookie

会话写请求需要合法的 Origin 和与当前 Cookie 绑定的 X-CSRF-Token。登录成功后应重新获取 CSRF 令牌。具体权限由目标资源归属和当前授权决定,见认证约定。

请求参数

名称位置必填类型说明与约束
allocation_idpath是string格式:uuid

响应

HTTP 状态含义
200会话已创建
400请求失败
401请求失败
403请求失败
404请求失败
409请求失败
503请求失败
default请求失败
200 · application/json 响应结构
字段类型必填说明与约束
dataConsoleSession是—
request_idstring是—
{
  "$ref": "#/$defs/ConsoleSessionResponse",
  "$defs": {
    "ConsoleSessionResponse": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "data": {
          "$ref": "#/$defs/ConsoleSession"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "data",
        "request_id"
      ]
    },
    "ConsoleSession": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "id": {
          "type": "string"
        },
        "url": {
          "type": "string",
          "format": "uri"
        },
        "expires_at": {
          "type": "string",
          "format": "date-time"
        }
      },
      "required": [
        "id",
        "url",
        "expires_at"
      ]
    }
  }
}
400 / 401 / 403 / 404 / 409 / 503 / default · application/json 响应结构
{
  "$ref": "#/$defs/ErrorResponse",
  "$defs": {
    "ErrorResponse": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "error": {
          "$ref": "#/$defs/ErrorDetail"
        },
        "request_id": {
          "type": "string"
        }
      },
      "required": [
        "error",
        "request_id"
      ]
    },
    "ErrorDetail": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "code": {
          "type": "string",
          "enum": [
            "NOT_IMPLEMENTED",
            "NOT_FOUND",
            "AUTH_REQUIRED",
            "FORBIDDEN",
            "VALIDATION_FAILED",
            "CONFLICT",
            "SERVICE_UNAVAILABLE",
            "INTERNAL_ERROR",
            "RATE_LIMITED"
          ]
        },
        "message": {
          "type": "string"
        },
        "retryable": {
          "type": "boolean"
        },
        "fields": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "required": [
        "code",
        "message",
        "retryable"
      ]
    }
  }
}

响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。

本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。

本页目录